Skip to main content
POST
/
v1
/
contacts
/
{contact}
/
activities
Create a contact activity
curl --request POST \
  --url https://api.givebutter.com/v1/contacts/{contact}/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "email",
  "note": "<string>",
  "subject": "<string>",
  "occurred_at": "2023-11-07T05:31:56Z",
  "timezone": "<string>"
}
'
{
  "id": "<string>",
  "type": "<string>",
  "source": "<string>",
  "data": "<string>",
  "resource": {
    "id": "<string>",
    "plan_id": "<string>",
    "pledge_id": "<string>",
    "amount": 123,
    "fee": 123,
    "fee_covered": 123,
    "donated": 123,
    "payout": 123,
    "captured": "<string>",
    "captured_at": "<string>",
    "timezone": "<string>",
    "refunded": "<string>",
    "refunded_at": "<string>",
    "line_items": [
      {
        "type": "<string>",
        "subtype": "<string>",
        "description": "<string>",
        "quantity": 123,
        "price": 123,
        "discount": 123,
        "total": 123,
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "fair_market_value_amount": "<string>",
    "tax_deductible_amount": "<string>",
    "is_recurring": "<string>"
  },
  "resource_type": "transaction",
  "occurred_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "created_by": {
    "id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contact
integer
required

The contact ID

Body

application/json
type
enum<string>
required
Available options:
email,
meeting,
note,
phone_call,
sms,
completed_task,
volunteer_activity
note
string | null
subject
string | null
Maximum string length: 255
occurred_at
string<date-time> | null
timezone
string | null
Maximum string length: 255

Response

ContactActivityResource

id
string
required
type
string
required
source
string
required
data
string
required
resource
TransactionResource · object
required
resource_type
enum<string> | null
required
Available options:
transaction,
plan,
ticket,
message,
mail_piece,
soft_credit,
subscription_log
occurred_at
string
required
created_at
string
required
updated_at
string
required
created_by
PublicUserResource · object